Main Page Packages Class Hierarchy Compound List File List Compound Members

# namednodemapchildnoderange Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| namednodemapchildnoderange (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The range of valid child node indices is 0 to Length -1.

Create a NamedNodeMap object from the attributes of the last child of the third employee and traverse the list from index 0 thru length -1. All indices should be valid.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-349467F9 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6D0FB19E

Definition at line 46 of file namednodemapchildnoderange.java.

## Constructor & Destructor Documentation

namednodemapchildnoderange::namednodemapchildnoderange | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file namednodemapchildnoderange.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String namednodemapchildnoderange::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file namednodemapchildnoderange.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/namednodemapchildnoderange";
    00074    }

void namednodemapchildnoderange::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file namednodemapchildnoderange.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(namednodemapchildnoderange.class,args);
    00077    }

void namednodemapchildnoderange::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file namednodemapchildnoderange.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       NodeList elementList;
    00057       Node testEmployee;
    00058       NamedNodeMap attributes;
    00059       Node child;
    00060       String name;
    00061       int length;
    00062       doc = load("staff");
    00063       elementList = doc.getElementsByTagName("address");
    00064       testEmployee = elementList.item(2);
    00065       attributes = testEmployee.getAttributes();
    00066       length = (int)attributes.getLength();
    00067       assertEquals("length",2,length);
    00068       child = attributes.item(0);
    00069       child = attributes.item(1);
    00070
    00071    }

The documentation for this class was generated from the following file:

- namednodemapchildnoderange.java